Deletes previously added function or method

- « uopz_copy

- uopz_delete »

- PHP Manual
- Uopz Functions
- Deletes previously added function or method

# uopz_del_function

(PECL uopz 5, PECL uopz 6, PECL uopz 7)

uopz_del_function — Deletes previously added function or method

### Description

uopz_del_function(string `$function`): bool
uopz_del_function(string `$class`, string `$function`, int `&$all` = `true`): bool

Deletes a previously added function or method.

### Parameters

`class`

  The name of the class.

`function`

  The name of the function or method.

`all`

  Whether all classes that descend from `class` will also be affected.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

uopz_del_function() throws a RuntimeException if the function or method to delete has not been added by uopz_add_function().

### Examples

Example #1 Basic uopz_del_function() Usage

    <?php
    uopz_add_function('foo', function () {echo 'bar';});
    var_dump(function_exists('foo'));
    uopz_del_function('foo');
    var_dump(function_exists('foo'));
    ?>

The above example will output:

    bool(true)
    bool(false)

### See Also

- uopz_add_function() - Adds non-existent function or method
- uopz_unset_return() - Unsets a previously set return value for a function